package de.rcr1.brain;

/**
 * Represents the communication.
 * 
 * @author Kilian Koller and Philipp Hergert
 */
interface Robot
{
    /**
     * Sends a command to the proxy.
     * 
     * @param p commandpacked.
     * @return Response from the proxy.
     */
    public Packet sendCommand(Packet p);
}
