/*
 * dummyclient.java
 *
 * Created on 18. Oktober 2004, 21:17
 */

/**
 *
 * @author  Cengiz Genc,Stephan Poser
 */
import java.net.*;
import java.io.*;
public class dummyclient {

    public dummyclient()
    {
        tell=null;
    }
    /** Creates a new instance of dummyclient */
    public dummyclient(String host,int port) {
        try
        {
            System.out.println("Trying to connect to server...");
            tell= new Socket(host,port);
            output= new DataOutputStream(tell.getOutputStream());
            input= new DataInputStream(tell.getInputStream());
        }
        catch( ConnectException e)
        {
            //If proxy is not up already: wait until proxy answers connection attempt:
            while(tell==null)
            {
                try{
                tell= new Socket(host,port);
                }
                catch(Exception x)
                {}
            }
            System.out.println("Connected to Server!");
            try{
            output= new DataOutputStream(tell.getOutputStream());
            input= new DataInputStream(tell.getInputStream());
            }
            catch(Exception xy)
            {}
        }
        catch( Exception e)
        {
            System.out.println(e.toString());
        }
    }
    
    public boolean isConnected()
    {
        try{
            InputStream test=tell.getInputStream();
            return test!=null;
        }
        catch(Exception e)
        {
            return false;
        }
    }
    public void write(int towrite)
    {
        try
        {
            output.writeInt(towrite);
        }
        catch( Exception e)
        {
            System.out.println(e.toString());
        }
    }
    public String read()
    {
        try{
            String tmp="";
            while( input.available()>0 )
            {
                    tmp+=" "+input.readInt();
            }
            return tmp;
        }
        catch(Exception e)
        {
            return "";
        }
    }

    public static void main(String[] args)
    {
        dummyclient dummy=new dummyclient();
        if( args.length == 0 )
        {
            dummy=new dummyclient("localhost",1234);
        }
        else
        {
            if( args.length ==1 )
            {
                dummy = new dummyclient(args[0],1234);    
            }
            else
            {
                System.out.println("Error: Usage = 'java dummyclient [host]'");
            }
        }
        Reader reader=new InputStreamReader(System.in);
        BufferedReader inp= new BufferedReader(reader);        
        String tmp="";
        
        String menu="Enter 99 to exit\nPlease enter a rcx command(1-14):" ;
        System.out.println(menu);
        try
        {
	    int buff=Integer.parseInt(inp.readLine());
            while(buff!=99 & dummy.isConnected())
            {
                //Send Opcode:
                dummy.write(buff);
                //Check for answer:
                tmp=dummy.read();
                if(tmp!="")
                {
                    System.out.println("Answer from Proxy: "+tmp);
                    tmp="";
                }
                //Next Opcode:
                buff=Integer.parseInt(inp.readLine());
            }
        }
        catch(Exception e)
        {

        }
        
        System.out.println("Connection closed");
    }
    ServerSocket listen;
    Socket tell;
    DataInputStream input;
    DataOutputStream output;
}
